from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XContentProvider(XInterface, Protocol):
    def compareContentIds(self, Id1: XContentIdentifier, Id2: XContentIdentifier) -> int: ...
